<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );


/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Form
 * @since		1.6
 */

class JFormFieldZtinfo extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
	protected $type = 'ztinfo';

	protected function getInput()
	{
		
		
	}
	
	public function getLabel() {
		$label     = (string) $this->element['label'];
		$desc     = (string) $this->element['desc'];
		
		$output = '';
		
		if($label !=="") {
			$output .= '<h3 class="zt-heading">'.$label.'</h3>';
		}
		if($desc !=="") {
			$output .= '<p class="zt-description">' . $desc . '</span>';
		}
		
		return $output;
	}

}
?>