<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Create a category selector
class JFormFieldZtk2authors extends JFormField
{

	protected $type = 'Ztk2authors';

	protected function getInput()
	{
		
		// Initialize variables
		include_once(JPATH_ROOT . '/modules/mod_zentools2/helper.php');
		
		$zen2 = new ZenTools2Helper();
		
		if($zen2->k2()) {
			$db = JFactory::getDBO();
			$query = 'SELECT id, userName FROM #__k2_users';
			$db->setQuery($query);
			$results = $db->loadObjectList();
			$categories=array();
	
			// Create the 'all categories' listing
			$categories[0] = new stdClass;
			$categories[0]->id = 'selectall';
			$categories[0]->userName = JText::_("Select all");
			
			// Special is because for some reason joomla content categories get duplicated
			foreach ($results as $result) {
					array_push($categories,$result);
				}
			
			
			$output = JHTML::_('select.genericlist',  $categories, ''.$this->formControl.'[params]['.$this->fieldname.'][]',
				'class="inputbox" style="width:90%;"  multiple="multiple" size="5"', 'id', 'userName', $this->value, $this->id
			);
			
			return $output; 
		}		
	}
}