<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 



$last = "";
$class = ' zt-'.$options->theme;

if($options->margin) {
	$class .= ' zt-no-margin';
}


// Count number of items in layout
$count = count((array)$layout);


// Load Matchheights
$match_height = "";

if($options->matchheight) { 
	$doc->addScript($media_path .'js/jquery.matchHeight-min.js');
	$match_height = 'data-match-height="zt-match-height"';
} ?>

<div id="zentools-<?php echo $module->id;?>" class="zentools zt-grid zt-responsive-grid <?php echo $class;?>">
	<ul>
		<?php foreach ($list as $key => $item) { 
		
		$item_class = '';
		if($item->featured) {
			$item_class .= ' zt-featured';
		}
		?>
			<li grid-col="1/<?php echo $options->maxcols;?>" class="zt-item<?php echo $item_class;?> zt-item-<?php echo $key + 1;?>" <?php echo $match_height;?>>
				<?php foreach ($columns as $column => $colwidth) { ?>
					<div class="zt-col zt-col-<?php echo $colwidth;?>"> 
						<?php $elements = $layout->$column;
							$count = 0;
							$total_elements = count((array)$elements);
							
							foreach ($elements as $type => $element) {
								
								$settings->count = $count;
								
								if($count == 1) { ?>
									<div class="zt-item-container" <?php echo $match_height;?>>
								<?php }
								
								$zen->loadElement($element->type, $element, $item, $settings, $zen);
								
								if($count == $total_elements) { ?>
									</div>
								<?php } 
								$count ++;
							} ?>
						</div>
				<?php } ?>		
			</li>
		<?php } ?>
	</ul>
</div>

<?php if($lightbox->enable) { $zen->loadBlock('lightbox', $module, $settings); } ?>