<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// Create a category selector
class JFormFieldZtlistcontent extends JFormField
{

	protected $type = 'Ztlistcontent';

	protected function getInput()
	{
		
		include_once(JPATH_ROOT . '/modules/mod_zentools2/helper.php');
		$zen2 = new ZenTools2Helper();
		
		$extension = $this->element['extension'];
		$class = $this->element['class'];
		$db = JFactory::getDBO();
		
		if($extension == "k2_items" && $zen2->k2()) {
			$query = 'SELECT id, title FROM #__'.$extension.' where published ="1" and trash !="1"';
		} elseif($extension == 'content') {
			$query = 'SELECT id, title FROM #__'.$extension.' where state !="-2"';
		} else {
			return;
		}
		
		$db->setQuery($query);
		$results = $db->loadObjectList();
		$categories=array();

		// Create the 'all categories' listing
		$categories[0] = new stdClass;
		$categories[0]->id = '0';
		$categories[0]->title = '';
		
		
		foreach ($results as $key=>$result) {
					
			// Need to map Hika values to standard select list
			if($extension == 'hikashop') {
				
				$newresult = new stdClass();
				$newresult->id = $result->product_id;
				$newresult->title = $result->product_name;
				
				//print_r($newresult);
				array_push($categories,$newresult);
			}
			else {
				array_push($categories,$result);
			}
		}
		
		
		
		$categories = array_slice($categories, 1);
		
		$output = '<input class="filter-list" data-id="filter-'.$this->fieldname.'" placeholder="Start typing to filter list of items."/>';
		$output .= JHTML::_('select.genericlist',  $categories, ''.$this->formControl.'[params]['.$this->fieldname.'][]',
			'class="inputbox '.$class.'" style="width:90%;"  data-type="filterable" multiple="multiple" size="5"', 'id', 'title', $this->value, $this->id
		);
		
		return $output; 		
	}
}
