<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 


$last = "";
$class = ' zt-'.$options->theme;
$class .= " js-masonry";

// Count number of items in layout
$count = count((array)$layout);


// Load Matchheights
$match_height = "";

if($options->matchheight) { 
	$doc->addScript($media_path .'js/jquery.matchHeight-min.js');
	
	if($options->theme == "boxed") {
		$match_height = 'data-match-height="zt-match-height"';
	}
}

?>

<div id="zentools-<?php echo $module->id;?>" class="zentools zt-masonry <?php echo $class;?>">
	<ul>
		<li class="grid-sizer"></li>
		<li class="gutter-sizer"></li>
		<?php foreach ($list as $key => $item) { 
		
		$item_class = '';
		
		if($item->featured) {
			$item_class .= ' zt-featured';
		}
		?>
			<li class="zt-item<?php echo $item_class;?> zt-item-<?php echo $key + 1;?>">
				<?php foreach ($columns as $column => $colwidth) { ?>
					<div class="zt-col zt-col-<?php echo $colwidth;?> zt-column-<?php echo $column + 1;?>"> 
						<?php $elements = $layout->$column;
							$count = 1;
							$total_elements = count((array)$elements);
							
							foreach ($elements as $type => $element) {
								
								$settings->count = $count;
								
								if($count == 2) { ?>
									<div class="zt-item-container" <?php echo $match_height;?>>
								<?php }
								
								$zen->loadElement($element->type, $element, $item, $settings, $zen);
								
								if($count == $total_elements && $count !==1) { ?>
									</div>
								<?php } 
								$count ++;
							} ?>
						</div>
				<?php } ?>		
			</li>
		<?php } ?>
	</ul>
</div>

<?php if($lightbox->enable) { $zen->loadBlock('lightbox', $module, $settings); } ?>

<!-- Images loaded -->
<?php $doc->addScript($media_path .'js/imagesloaded.pkgd.min.js'); ?>

<script>
		jQuery(document).ready(function($) {
			
			<?php if($options->matchheight) { ?>
				$('#zentools-<?php echo $module->id;?> .zt-item').matchHeight();
			<?php } ?>
			
			
			$('#zentools-<?php echo $module->id;?>').imagesLoaded( function() {
	
				}).done( function() {
		  		
		  			<?php if($options->matchheight) { ?>
		  			$('#zentools-<?php echo $module->id;?> .zt-item').matchHeight();
					<?php } ?>
		  			$('#zentools-<?php echo $module->id;?> > ul').masonry({
		  			columnWidth: '.grid-sizer',
		  			gutter: '.gutter-sizer',
		  			itemSelector: '.zt-item'
		  			});
		  		}).fail( function() {
			  			
			  	});
			
	   });
</script>